//获取系统信息 
export const getSystemInfoSync = uni.getSystemInfoSync();
//获取系统状态栏的高度
export const statusBarHeight = getSystemInfoSync.statusBarHeight;
// 小程序的胶囊
export const getMenuButtonBoundingClientRect = (uni.getMenuButtonBoundingClientRect && uni
	.getMenuButtonBoundingClientRect()) || null;
//获取系统导航栏高度
export const CustomBarHeight = getMenuButtonBoundingClientRect ? getMenuButtonBoundingClientRect.bottom +
	getMenuButtonBoundingClientRect.top - statusBarHeight : statusBarHeight + 50;
// 定位
// 查看权限
export const getSetting=()=>{
	return new Promise((resolve,reject)=>{
		uni.getSetting({
			success:res=>resolve(res),
			fail:err=>reject(err)
		})
	})
}
// 授权
export const openSetting=()=>{
	return new Promise((resolve,reject)=>{
		uni.openSetting({
			success:res=>resolve(res),
			fail:err=>reject(err)
		})
	})
}

// 获取地址
export const chooseLocation=()=>{
	return new Promise((resolve,reject)=>{
		uni.chooseLocation({
			success:res=>resolve(res),
			fail:err=>reject(err)
		})
	})
}

